/*
 *  share.h     Define file sharing modes for sopen()
 *
 *                          Open Watcom Project
 *
 *    Portions Copyright (c) 1983-2002 Sybase, Inc. All Rights Reserved.
 */
#ifndef _SHARE_H_INCLUDED
#define _SHARE_H_INCLUDED

#define SH_COMPAT   0x00    /* compatibility mode   */
#define SH_DENYRW   0x10    /* deny read/write mode */
#define SH_DENYWR   0x20    /* deny write mode      */
#define SH_DENYRD   0x30    /* deny read mode       */
#define SH_DENYNO   0x40    /* deny none mode       */

#define SH_MASK     0x70    /* mask for standard share modes    */

#define SH_DOS      0x01    /* DOS-like interpretation of open, locks, etc. */
#endif
