/*
 *  setjmp.h
 *
 *                          Open Watcom Project
 *
 *    Portions Copyright (c) 1983-2002 Sybase, Inc. All Rights Reserved.
 *  Copyright by QNX Software Systems Limited 1990-1996. All rights reserved.
 */
#ifndef _SETJMP_H_INCLUDED
#define _SETJMP_H_INCLUDED
#ifdef __cplusplus
extern "C" {
#endif

#ifndef _COMDEF_H_INCLUDED
 #include <_comdef.h>
#endif

 typedef unsigned int jmp_buf[13];

_WCRTLINK extern int  _setjmp( jmp_buf __env );
_WCRTLINK extern void longjmp( jmp_buf __env, int __val );

#if !defined(_SETJMPEX_H_INCLUDED_)
 #define setjmp(__env)  _setjmp(__env)
#endif

#if defined(__386__)
 #pragma aux _setjmp __parm __caller [__eax] __modify [__8087];
 #ifndef __SW_3R
  #pragma aux longjmp __aborts;
 #endif
#else
 #pragma aux _setjmp __modify [__8087];
 #pragma aux longjmp __aborts;
#endif

#if defined(_POSIX_SOURCE) || defined(_QNX_SOURCE) || !defined(NO_EXT_KEYS)
#if defined(_M_IX86)
  #pragma pack(__push,1);
#else
  #pragma pack(__push,8);
#endif
typedef struct {
    int         __flg;
    long        __msk;
    jmp_buf     __buf;
} sigjmp_buf[1];
#pragma pack(__pop);

extern void __sigjmpsave( sigjmp_buf __env, int __msk );
extern void siglongjmp( sigjmp_buf __env, int __val );

#define sigsetjmp( __env, __msk ) ( __sigjmpsave( __env, __msk ), \
                                    _setjmp( (__env)[0].__buf ) )

#pragma aux siglongjmp __aborts;

#endif

#ifdef __cplusplus
};
#endif
#endif
